You are here

Missing gimpfu.py plugin

Hello from Russia!

 I have installed GIMP 2.7,  and I can't find gimpfu.py file in my system (Linux Mint 8 x64). 

I was looking it in /usr/* and in /home/$USERNAME/gimp* folders. 

I'm just want to get working file-ora.py plugin, but GIMP can't find gimpfu module: 

Traceback (most recent call last):
  File "/usr/lib/gimp/2.0/plug-ins/file-openraster.py", line 16, in 
    from gimpfu import *
ImportError: No module named gimpfu
...
(gimp:1013): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error
Traceback (most recent call last):
  File "/usr/lib/gimp/2.0/plug-ins/btn4ws.py", line 33, in 
    import gimp, gimpplugin, gimpui, gimpcolor
ImportError: No module named gimp
...
(gimp:1013): LibGimpBase-WARNING **: gimp: gimp_wire_read(): error
Traceback (most recent call last):
  File "/home/jo/.gimp-2.7/plug-ins/file-ora.py", line 14, in 
    from gimpfu import *
ImportError: No module named gimpfu

How can I get it ?

If you can't find gimpfu.py, then the Python modules are not available. Getting them installed depends on how you've installed GIMP - either it is an additional package (-1 for your distro's maintainers if they've left out the python modules altogether) or you have to make sure that Python modules can be built on your system if you've built GIMP from source.

Today I installed the update of my system, and now the plugin works

I'm sad. gimpfu working in GIMP 2.6, but missing in GIMP 2.7 installation.

Subscribe to Comments for "Missing gimpfu.py plugin"